with GNATCOM.Dispinterface;

package MSHTML.IHTMLInputTextElement_Interface is

   type IHTMLInputTextElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLInputTextElement_Type);

   function Pointer (This : IHTMLInputTextElement_Type)
     return Pointer_To_IHTMLInputTextElement;

   procedure Attach (This    : in out IHTMLInputTextElement_Type;
                     Pointer : in     Pointer_To_IHTMLInputTextElement);

   function Get_type
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_value
     (This : IHTMLInputTextElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_value
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLInputTextElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_status
     (This : IHTMLInputTextElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_status
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : IHTMLInputTextElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_disabled
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_form
     (This : IHTMLInputTextElement_Type)
     return Pointer_To_IHTMLFormElement;

   procedure Put_defaultValue
     (This : IHTMLInputTextElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_defaultValue
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_size
     (This : IHTMLInputTextElement_Type;
      p    : Interfaces.C.long);

   function Get_size
     (This : IHTMLInputTextElement_Type)
     return Interfaces.C.long;

   procedure Put_maxLength
     (This : IHTMLInputTextElement_Type;
      p    : Interfaces.C.long);

   function Get_maxLength
     (This : IHTMLInputTextElement_Type)
     return Interfaces.C.long;

   procedure uselect
     (This : IHTMLInputTextElement_Type);

   procedure Put_onchange
     (This : IHTMLInputTextElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onchange
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onselect
     (This : IHTMLInputTextElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onselect
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_readOnly
     (This : IHTMLInputTextElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_readOnly
     (This : IHTMLInputTextElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function createTextRange
     (This   : IHTMLInputTextElement_Type)
     return Pointer_To_IHTMLTxtRange;

end MSHTML.IHTMLInputTextElement_Interface;

